Last Comment Bug 708570 - Make libfreebl depend on libnspr
: Make libfreebl depend on libnspr
Status: RESOLVED FIXED
[inbound][qa-]
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All Linux
: -- normal (vote)
: mozilla12
Assigned To: Mike Hommey [:glandium]
:
Mentors:
Depends on: 717906
Blocks: 683127 712284
  Show dependency treegraph
 
Reported: 2011-12-08 03:00 PST by Mike Hommey [:glandium]
Modified: 2012-02-01 13:29 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Make libfreebl depend on nspr (874 bytes, patch)
2011-12-08 03:02 PST, Mike Hommey [:glandium]
ted: review+
blassey.bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Mike Hommey [:glandium] 2011-12-08 03:00:45 PST
The build default for libfreebl is to not depend on libnspr, which is something that was done for NSS as a system library. This is not something that is needed for Mozilla code. Disabling it avoids libfreebl dlopening() libnspr and resolving a bunch of symbols, and libfreebl going through stub functions for nspr calls.
Comment 1 Mike Hommey [:glandium] 2011-12-08 03:02:56 PST
Created attachment 579996 [details] [diff] [review]
Make libfreebl depend on nspr
Comment 3 Ed Morley [:emorley] 2012-01-10 11:49:21 PST
https://hg.mozilla.org/mozilla-central/rev/d208399b9194
Comment 4 Mike Hommey [:glandium] 2012-01-25 08:53:35 PST
Comment on attachment 579996 [details] [diff] [review]
Make libfreebl depend on nspr

[Approval Request Comment]
It is a dependency of bug 683127.
It caused bug 717906 on m-c, which I'm going to request approval for as well.
Comment 5 Mike Hommey [:glandium] 2012-01-25 08:58:53 PST
Actually, strictly speaking, bug 683127 is supposed to work without this, but hasn't been tested without.
Comment 6 Mike Hommey [:glandium] 2012-01-26 23:54:57 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/43ece237bceb

Note You need to log in before you can comment on or make changes to this bug.